Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2019-17016

Published: 8 January 2020

When pasting a &lt;style&gt; tag from the clipboard into a rich text editor, the CSS sanitizer incorrectly rewrites a @namespace rule. This could allow for injection into certain types of websites resulting in data exfiltration. This vulnerability affects Firefox ESR < 68.4 and Firefox < 72.

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine

Priority

Medium

Cvss 3 Severity Score

6.1

Score breakdown

Status

Package Release Status
mozjs60
Launchpad, Ubuntu, Debian
bionic Does not exist

disco Ignored
(end of life)
eoan Ignored
(end of life)
focal Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

hirsute Does not exist

jammy Does not exist

groovy Does not exist

impish Does not exist

kinetic Does not exist

lunar Does not exist

mantic Does not exist

firefox
Launchpad, Ubuntu, Debian
hirsute
Released (72.0.1+build1-0ubuntu1)
jammy
Released (72.0.1+build1-0ubuntu1)
bionic
Released (72.0.1+build1-0ubuntu0.18.04.1)
disco
Released (72.0.1+build1-0ubuntu0.19.04.1)
eoan
Released (72.0.1+build1-0ubuntu0.19.10.1)
focal
Released (72.0.1+build1-0ubuntu1)
groovy
Released (72.0.1+build1-0ubuntu1)
impish
Released (72.0.1+build1-0ubuntu1)
kinetic
Released (72.0.1+build1-0ubuntu1)
lunar
Released (72.0.1+build1-0ubuntu1)
trusty Does not exist

upstream
Released (72.0)
xenial
Released (72.0.1+build1-0ubuntu0.16.04.1)
mantic
Released (72.0.1+build1-0ubuntu1)
mozjs38
Launchpad, Ubuntu, Debian
hirsute Does not exist

jammy Does not exist

bionic Needs triage

disco Does not exist

eoan Does not exist

focal Does not exist

groovy Does not exist

impish Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

mozjs52
Launchpad, Ubuntu, Debian
hirsute Does not exist

jammy Does not exist

bionic Needs triage

disco Ignored
(end of life)
eoan Ignored
(end of life)
focal Needs triage

groovy Ignored
(end of life)
impish Does not exist

kinetic Does not exist

lunar Does not exist

trusty Does not exist

upstream Needs triage

xenial Does not exist

mantic Does not exist

thunderbird
Launchpad, Ubuntu, Debian
hirsute
Released (1:68.4.1+build1-0ubuntu1)
jammy
Released (1:68.4.1+build1-0ubuntu1)
bionic
Released (1:68.4.1+build1-0ubuntu0.18.04.1)
disco Ignored
(end of life)
eoan
Released (1:68.4.1+build1-0ubuntu0.19.10.1)
focal
Released (1:68.4.1+build1-0ubuntu1)
groovy
Released (1:68.4.1+build1-0ubuntu1)
impish
Released (1:68.4.1+build1-0ubuntu1)
kinetic
Released (1:68.4.1+build1-0ubuntu1)
lunar
Released (1:68.4.1+build1-0ubuntu1)
trusty Does not exist

upstream
Released (68.4.1)
xenial
Released (1:68.7.0+build1-0ubuntu0.16.04.2)
mantic
Released (1:68.4.1+build1-0ubuntu1)

Severity score breakdown

Parameter Value
Base score 6.1
Attack vector Network
Attack complexity Low
Privileges required None
User interaction Required
Scope Changed
Confidentiality Low
Integrity impact Low
Availability impact None
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N